sparkcrawlDocs

Pause or resume a recrawl schedule when automation is enabled

PATCH
/api/v1/schedules/{id}

Authorization

bearerAuth
headerAuthorizationBearer <sc_live_<43 characters>>

Organization API key created at /app/api. Scopes: scrape, crawl, search, research. The secret is shown once.

Path Parameters

id*string

Request Body

application/json
  1. body
paused*boolean

Response Body

Updated schedule

application/json
  1. response
id*string
organizationId*string
url*string
Formaturi
intervalMs*integer
nextRunAt*integer
paused*boolean
Example Request
curl -X PATCH 'https://sparkcrawl.com/api/v1/schedules/string' \  -H 'Content-Type: application/json' \  -d '{  "paused": true}'
Example Response
{  "id": "string",  "organizationId": "string",  "url": "http://example.com",  "intervalMs": 0,  "nextRunAt": 0,  "paused": true}